sdr::FFTPlan< float > Class Template Reference

Template specialization for a FFT transform on std::complex<float> values. More...

`#include <fftplan_fftw3.hh>`

## Public Member Functions

| FFTPlan (const Buffer< std::complex< float > > &in, const Buffer< std::complex< float > > &out, FFT::Direction dir)
| Constructor. More...
| FFTPlan (const Buffer< std::complex< float > > &inplace, FFT::Direction dir)
| Constructor. More...
virtual | ~FFTPlan ()
| Destructor. More...
void | operator() ()
| Performs the FFT transform. More...

## Protected Attributes

Buffer< std::complex< float > > | _in
| Input buffer. More...
Buffer< std::complex< float > > | _out
| Output buffer. More...
fftwf_plan | _plan
| The fft plan. More...

## Detailed Description

### template<>
class sdr::FFTPlan< float >

Template specialization for a FFT transform on std::complex<float> values.

## Constructor & Destructor Documentation

sdr::FFTPlan< float >::FFTPlan | ( | const Buffer< std::complex< float > > & | in,
|  | const Buffer< std::complex< float > > & | out,
|  | FFT::Direction | dir
| ) |  |

inline

Constructor.

sdr::FFTPlan< float >::FFTPlan | ( | const Buffer< std::complex< float > > & | inplace,
|  | FFT::Direction | dir
| ) |  |

inline

Constructor.

virtual sdr::FFTPlan< float >::~FFTPlan | ( |  | ) |

inlinevirtual

Destructor.

## Member Function Documentation

void sdr::FFTPlan< float >::operator() | ( |  | ) |

inline

Performs the FFT transform.

## Member Data Documentation

Buffer< std::complex<float> > sdr::FFTPlan< float >::_in

protected

Input buffer.

Buffer< std::complex<float> > sdr::FFTPlan< float >::_out

protected

Output buffer.

fftwf_plan sdr::FFTPlan< float >::_plan

protected

The fft plan.

The documentation for this class was generated from the following file:

- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/fftplan_fftw3.hh